> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/annotation/toolmanager-events.md).

# ToolManager events

Discover how to effectively manage events and customize tool behavior in the tools package with ToolManager. Learn about various methods to receive notifications and coordinate app actions. Optimize y

The [`ToolManager`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html) exposes a number of events to allow a subscriber to be notified of events fired from the tools package. There are [a number of methods](/android/annotation/intercept-annotation-handling.md) that allow you to modify the behaviour of the tools themselves. The methods discussed here are simple notifications, so that the app may coordinate as necessary.

| Scenario                                       | Method to use to register your callback                                                                                                                                                                                                  |
| ---------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Get notified on touch events                   | [`setPreToolManagerListener`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#setPreToolManagerListener\(com.pdftron.pdf.tools.ToolManager.PreToolManagerListener\))                         |
| Get notified on annotation events              | [`setBasicAnnotationListener`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#setBasicAnnotationListener\(com.pdftron.pdf.tools.ToolManager.BasicAnnotationListener\))                      |
| Get notified on annotation modification events | [`addAnnotationModificationListener`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#addAnnotationModificationListener\(com.pdftron.pdf.tools.ToolManager.AnnotationModificationListener\)) |
| Get notified on quick menu events              | [`setQuickMenuListener`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#setQuickMenuListener\(com.pdftron.pdf.tools.ToolManager.QuickMenuListener\))                                        |
| Get notified on tool changed event             | [`addToolChangedListener`](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/ToolManager.html#addToolChangedListener\(com.pdftron.pdf.tools.ToolManager.ToolChangedListener\))                                  |

{% hint style="info" %}
**For any method above that starts with add, you can remove your callback using the corresponding remove method.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/annotation/toolmanager-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
